Adapt all build.info and test recipes to the new $disabled{'deprecated-x.y'}
[openssl.git] / crypto / whrlpool / build.info
1 LIBS=../../libcrypto
2
3 $WPASM=wp_block.c
4 IF[{- !$disabled{asm} -}]
5   IF[{- $config{processor} ne "386" -}]
6     $WPASM_x86=wp_block.c wp-mmx.s
7     $WPDEF_x86=WHIRLPOOL_ASM
8   ENDIF
9   $WPASM_x86_64=wp-x86_64.s
10   $WPDEF_x86_64=WHIRLPOOL_ASM
11
12   # Now that we have defined all the arch specific variables, use the
13   # appropriate one, and define the appropriate macros
14   IF[$WPASM_{- $target{asm_arch} -}]
15     $WPASM=$WPASM_{- $target{asm_arch} -}
16     $WPDEF=$WPDEF_{- $target{asm_arch} -}
17   ENDIF
18 ENDIF
19
20 # Implementations are now spread across several libraries, so the defines
21 # need to be applied to all affected libraries and modules.
22 DEFINE[../../providers/libimplementations.a]=$WPDEF
23
24 SOURCE[../../libcrypto]=wp_dgst.c $WPASM
25 DEFINE[../../libcrypto]=$WPDEF
26
27 # When all deprecated symbols are removed, libcrypto doesn't export the
28 # WHIRLPOOL functions, so we must include them directly in liblegacy.a
29 IF[{- $disabled{'deprecated-3.0'} -}]
30   SOURCE[../../providers/liblegacy.a]=wp_dgst.c $WPASM
31   DEFINE[../../providers/liblegacy.a]=$WPDEF
32 ENDIF
33
34 GENERATE[wp-mmx.s]=asm/wp-mmx.pl
35 DEPEND[wp-mmx.s]=../perlasm/x86asm.pl
36
37 GENERATE[wp-x86_64.s]=asm/wp-x86_64.pl